#!/bin/bash

set -e

ABRA="$HOME/.local/bin/abra -d"
INSTALLER_URL="https://install.abra.coopcloud.tech"

for arg in "$@"; do
  if [ "$arg" == "--dev" ]; then
    ABRA="/src/abra -d"
    INSTALLER_URL="https://git.coopcloud.tech/coop-cloud/abra/raw/branch/main/scripts/installer/installer"
  fi
done

export PATH=$PATH:$HOME/.local/bin

echo "========================================================================"
echo "choosing abra executable for test run"
echo "========================================================================"
echo "choosing $ABRA as abra executable"
echo "choosing $INSTALLER_URL as abra installer url"

echo ""
echo ""

echo "========================================================================"
echo "latest stable release"
echo "========================================================================"
wget -O- https://install.abra.autonomic.zone | bash
~/.local/bin/abra -v

echo ""
echo ""

echo "========================================================================"
echo "latest rc release"
echo "========================================================================"
wget -O- https://install.abra.autonomic.zone | bash -s -- --rc
~/.local/bin/abra -v

echo ""
echo ""

echo "========================================================================"
echo "upgrade to stable in-place"
echo "========================================================================"
$ABRA upgrade
~/.local/bin/abra -v

echo ""
echo ""

echo "========================================================================"
echo "upgrade to rc in-place"
echo "========================================================================"
$ABRA upgrade --rc
~/.local/bin/abra -v

echo ""
echo ""

echo "========================================================================"
echo "autocomplete"
echo "========================================================================"
$ABRA autocomplete bash
$ABRA autocomplete fizsh
$ABRA autocomplete zsh

echo ""
echo ""

echo "========================================================================"
echo "record command"
echo "========================================================================"
$ABRA record new -p gandi -t A -n e2e -v 192.157.2.21 coopcloud.tech
$ABRA record list -p gandi coopcloud.tech | grep -q e2e
$ABRA -n record rm -p gandi -t A -n e2e coopcloud.tech

echo ""
echo ""
